org.apache.olingo.commons.api.edm.provider

## Class CsdlOnDelete

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.CsdlOnDelete

- All Implemented Interfaces:
    CsdlAnnotatable

      public class CsdlOnDelete
      extends CsdlAbstractEdmItem
      implements CsdlAnnotatable

  The type Csdl on delete.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlOnDelete()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CsdlOnDeleteAction` | `getAction()` Gets action.
    `List<CsdlAnnotation>` | `getAnnotations()` Returns a list of annotations
    `CsdlOnDelete` | `setAction(CsdlOnDeleteAction action)` Sets action.
    `CsdlOnDelete` | `setAnnotations(List<CsdlAnnotation> annotations)` Sets annotations.

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlOnDelete

          public CsdlOnDelete()

  - ### Method Detail

    - #### getAction

          public CsdlOnDeleteAction getAction()

      Gets action.
      Returns:
        the action

    - #### setAction

          public CsdlOnDelete setAction(CsdlOnDeleteAction action)

      Sets action.
      Parameters:
        `action` - the action
      Returns:
        the action

    - #### getAnnotations

          public List<CsdlAnnotation> getAnnotations()

      Description copied from interface: `CsdlAnnotatable`
      Returns a list of annotations
      Specified by:
        `getAnnotations` in interface `CsdlAnnotatable`
      Returns:
        list of annotations

    - #### setAnnotations

          public CsdlOnDelete setAnnotations(List<CsdlAnnotation> annotations)

      Sets annotations.
      Parameters:
        `annotations` - the annotations
      Returns:
        the annotations

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.